import './demo8.css';
import 'whatwg-fetch';
import CascaderSelect from '..';
import React from 'react';
import ReactDOM from 'react-dom';
interface PageStates {
  data: Array<any>;
  value: string;
}
class Demo extends React.Component<{}, PageStates> {
  handleChange: (value: any, data: any, extra: any) => void;
  constructor(props) {
    super(props);

    this.handleChange = (value, data, extra) => {
      console.log(value, data, extra);
    };
    this.state = {
      data: [],
      value: null,
    };
  }

  componentDidMount() {
    fetch('https://os.alipayobjects.com/rmsportal/ODDwqcDFTLAguOvWEolX.json')
      .then(response => response.json())
      .then(data => this.setState({ data, value: '2975' }))
      .catch(e => console.log(e));
  }

  render() {
    return (
      <div className="control-single-demo">
        <CascaderSelect
          changeOnSelect
          dataSource={this.state.data}
          onChange={this.handleChange}
        />
      </div>
    );
  }
}

ReactDOM.render(<Demo />, document.getElementById('cascader-select-demo-8'));
